Package: grails.web.mapping

## [Java] Interface UrlMappings

- grails.web.mapping.UrlMappingsHolder

- All Superinterfaces:
    UrlMappingsHolder

      public interface UrlMappings
      extends UrlMappingsHolder

  Interface that allows access to all defined URL mappings and registration of new mappings at runtime

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface UrlMappingsHolder` | `BEAN_ID`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Collection<UrlMapping>` | `addMappings(groovy.lang.Closure mappings)` Adds URL mappings to the current definition for the given closure

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface UrlMappingsHolder` | `allowedMethods, getExcludePatterns, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMappingNoDefault, getReverseMappingNoDefault, getReverseMappingNoDefault, getUrlMappings, match, matchAll, matchAll, matchAll, matchAll, matchAll, matchStatusCode, matchStatusCode`

- - ### Method Detail

    - #### public java.util.Collection<UrlMapping> addMappings(groovy.lang.Closure mappings)

      Adds URL mappings to the current definition for the given closure

      Parameters:
        `mappings` - The mappings
      Returns:
        Only the added mappings. To obtain all mappings use UrlMappingsHolder.getUrlMappings